Package org.kapott.hbci.sepa.jaxb.camt_052_001_06

## Class CardEntry2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_06.CardEntry2

    public class CardEntry2
    extends java.lang.Object

Java class for CardEntry2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CardEntry2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Card" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}PaymentCard4" minOccurs="0"/>
             <element name="POI" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}PointOfInteraction1" minOccurs="0"/>
             <element name="AggtdNtry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}CardAggregated1" minOccurs="0"/>
             <element name="PrePdAcct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}CashAccount24" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected CardAggregated1` `aggtdNtry`
`protected PaymentCard4` `card`
`protected PointOfInteraction1` `poi`
`protected CashAccount24` `prePdAcct`

### Constructor Summary

Constructors
`CardEntry2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CardAggregated1` `getAggtdNtry()` Gets the value of the aggtdNtry property.
`PaymentCard4` `getCard()` Gets the value of the card property.
`PointOfInteraction1` `getPOI()` Gets the value of the poi property.
`CashAccount24` `getPrePdAcct()` Gets the value of the prePdAcct property.
`void` `setAggtdNtry​(CardAggregated1 value)` Sets the value of the aggtdNtry property.
`void` `setCard​(PaymentCard4 value)` Sets the value of the card property.
`void` `setPOI​(PointOfInteraction1 value)` Sets the value of the poi property.
`void` `setPrePdAcct​(CashAccount24 value)` Sets the value of the prePdAcct property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### card

    protected PaymentCard4 card

#### poi

    protected PointOfInteraction1 poi

#### aggtdNtry

    protected CardAggregated1 aggtdNtry

#### prePdAcct

    protected CashAccount24 prePdAcct

### Constructor Detail

#### CardEntry2

    public CardEntry2()

### Method Detail

#### getCard

    public PaymentCard4 getCard()

Gets the value of the card property.

Returns:
  possible object is `PaymentCard4`

#### setCard

    public void setCard​(PaymentCard4 value)

Sets the value of the card property.

Parameters:
  `value` - allowed object is `PaymentCard4`

#### getPOI

    public PointOfInteraction1 getPOI()

Gets the value of the poi property.

Returns:
  possible object is `PointOfInteraction1`

#### setPOI

    public void setPOI​(PointOfInteraction1 value)

Sets the value of the poi property.

Parameters:
  `value` - allowed object is `PointOfInteraction1`

#### getAggtdNtry

    public CardAggregated1 getAggtdNtry()

Gets the value of the aggtdNtry property.

Returns:
  possible object is `CardAggregated1`

#### setAggtdNtry

    public void setAggtdNtry​(CardAggregated1 value)

Sets the value of the aggtdNtry property.

Parameters:
  `value` - allowed object is `CardAggregated1`

#### getPrePdAcct

    public CashAccount24 getPrePdAcct()

Gets the value of the prePdAcct property.

Returns:
  possible object is `CashAccount24`

#### setPrePdAcct

    public void setPrePdAcct​(CashAccount24 value)

Sets the value of the prePdAcct property.

Parameters:
  `value` - allowed object is `CashAccount24`